
(provide 'sp)
(require 'bjbutils)

; 
; Gnu interface to sp
; March/88 - Barry Brachman, Dept. of CS, UBC
; (Adapted from sp.ml)
; 

(defun sp (spword)
  "Invoke sp"
  (interactive "sWord: ")
  (do-sp spword))

(defun sp-from-buffer ()
  "Invoke sp on the word next to the cursor"
  (interactive)
	(do-sp (get-next-word)))

(defun do-sp (spword)
  "Invoke sp on SPWORD"
  (message "sp: %s" spword)
  (sit-for 0)
  (let (found)
	(setq found " *not found*")
	(get-buffer-create " *sp*")
	(set-buffer " *sp*")
	(erase-buffer)
	(call-process "sp" nil " *sp*" nil spword)
	(pop-to-buffer " *sp*")
	(setq case-fold-search 1)
	(goto-char (point-min))
	(if (re-search-forward (concat "\\. " spword) nil t)
		(progn
		  (beginning-of-line)
		  (recenter 0)
		  (setq found " *found*")))
	(message "")
	(setq mode-line-buffer-identification
		  (list (concat "sp: \"" spword "\"" found)))))

